#!/bin/sh

echo ""
echo -n "Creating /etc/xinetd.conf modelled after your /etc/inetd.conf file..."
if [ -f /etc/xinetd.conf ]; then
  echo ""
  echo -n "/etc/xinetd.conf already exists.  Creating /etc/xinetd.conf.new instead..."
  outf="/etc/xinetd.conf.new"
else
  outf="/etc/xinetd.conf"
fi
/usr/sbin/xconv.pl < /etc/inetd.conf > $outf
echo "done."
echo ""
echo "Please be sure to read /usr/doc/xinetd-2.3.13/INSTALL to learn how"
echo "to start the daemon and make sure it starts up every time you boot."
echo "Also check out /usr/doc/xinetd-2.3.13/TUTORIALS for some links to a"
echo "couple great articles/tutorials on xinetd."
